#include <bits/stdc++.h>
#define maxn 1550
#define mb 32

using namespace std;
typedef long long ll;

int n,m,x;
int a[maxn][maxn];
ll b[maxn][maxn][mb];
ll s2[35];

int main()
{
    s2[0]=1;
    for(int i=1; i<32; i++){
        s2[i]=s2[i-1]*2;
    }
    cin >> n >> m;
    for(int i=0; i<n; i++){
        for(int j=0; j<m; j++){
            cin >> x;
            int t=0;
            while(x>0){
                if(x%2==0){
                    b[i][j][t]=0;
                }
                else{
                    b[i][j][t]=1;
                }
                x/=2;
                t++;
            }
        }
    }
    if(n==1){
        int r=0;
        for(int t=0; t<mb; t++){
            int br=0;
            for(int i=0; i<m; i++){
                if(b[0][i][t]==1){

                    br++;
                }
            }
            r+=min(br,m-br)*s2[t];
        }
        cout << r << "\n";
    }
}